[package]
name = "lanspread-compat"
version = "0.1.0"
edition = "2024"

[lints.rust]
unsafe_code = "forbid"

[lints.clippy]
pedantic = { level = "warn", priority = -1 }
todo = "warn"
unwrap_used = "warn"

[dependencies]
# local
lanspread-db = { path = "../lanspread-db" }

eyre = { workspace = true }
sqlx = { workspace = true }
serde = { workspace = true }
tracing = { workspace = true }
